<?php

namespace App\Http\Requests\TaxInvoice;

use Illuminate\Foundation\Http\FormRequest;

class TaxInvoiceSummaryRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'issue_date_from' => ['nullable', 'date'],
            'issue_date_to' => ['nullable', 'date', 'after_or_equal:issue_date_from'],
        ];
    }
}
